@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

body {
    margin: 0;
    background: #e6e2d6;
}

.f1 {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}

.f2 {
    font-family: "Oswald", sans-serif;
    font-family: "Oswald", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}

.bg1 {
    background: #bdb3a5;
}

.bg2 {
    background: #953d44;
}

.button1 {
    color: black;
    margin-top: 2rem;
    margin-left: 1rem;
    cursor: pointer;
    border: 0;
    font-size: 2rem;
    font-weight: bold
}

.button1:hover {
    color: white;
}

#masterPage header {
    font-size: 1rem;
    font-family: "Oswald", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    position: fixed;
    width: 100%;
    height: 6rem;
    top: 0;
    z-index: 1001;
    background: #bdb3a5;
    display: inline-block;
}

#masterPage header nav ul li {
    display: inline-block;
    padding: 1rem;

}

#masterPage header nav {
    display: inline-block;
}

#masterPage header nav a {
    color: black;
    text-decoration: none;
}

#masterPage header nav a:hover {
    color: white;
}

.language-selector select {
    font-size: 1rem;
    color: black;
    cursor: pointer;
    background: #bdb3a5;
    display: inline-block;
    border: none;
}

.language-selector {
    display: inline-block;
    position: relative;
    font-size: 1.5rem;
}

.mobileHeader {
    height: 3rem !important;
    display: inline-block;
}

#hamburgerMenuIcon {
    position: absolute;
    top: 0.5rem;
    left: 1rem;
}

#hamburgerMenu {
    background: #bdb3a5;
    font-size: 2rem;
    display: none;
}

#hamburgerMenu nav ul li {
    display: block !important;
}

#hamburgerMenu nav ul li:hover {
    background: #876f44;
    color: white;
}

#hamburgerMenu nav ul {
    padding: 0;
}

#languageMenuMobile {
    position: absolute;
    right: 6rem;
    top: 0;
}

#grey {
    position: fixed;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(0.2rem);
    top: 0;
    z-index: 1001;
}

.loading {
    display: block !important;
}

#imgFavourite, #imgCart, #imgCartOfDress, #imgFavouriteOfDress {
    width: 2rem;
    cursor: pointer;
}

#imgFavourite, #imgCart {
    padding: 0.2rem;
}

.clicked {
    border: 1px solid black;
}

#imgFavourite {
    margin-right: 1rem;
}

#shopButtons {
    display: inline;
    float: right;
    margin: 0.5rem;
}

#popup {
}

.visible {
    display: initial !important;
    position: fixed;
    top: 10rem;
    left: 10rem;
}

.popup {
    padding: 1rem;
    display: block;
    width: 50%;
    position: fixed;
    background: #e6e2d6;
    z-index: 1005;
    left: 25%;
    top: 25%;
    border: 1px solid black;
}

.popup .lblNotificationTitle {
    font-size: 2rem;
}

.flag-select {
    position: relative;
    font-family: sans-serif;
    user-select: none;
}

.flag-selected {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 6px 10px;
    cursor: pointer;
    border-radius: 4px;
}

.flag-selected .flag-icon svg {
    margin-right: 6px;
}

.flag-options {
    position: absolute;
    background: #e6ddce;
    border: 1px solid #aaa;
    border-radius: 4px;
    margin-top: 6px;
    display: none;
    z-index: 999;
}

.flag-option {
    display: flex;
    align-items: center;
    gap: 6px;
    padding: 8px 10px;
    cursor: pointer;
}

.flag-option:hover {
    background: #d0c4b5;
}

.arrow {
    margin-left: 0.5rem;
}

.mobile {
    right: 7rem;
    position: absolute;
}

.mobile svg {
    height: 2rem;
}

/*Loading animation*/

.loader {
    width:20rem;
    height:20rem;
    border:2rem solid #eee;
    border-top-color:#f5a3b7;   /* soft baby-pink */
    border-radius:50%;
    animation: spin 1s linear infinite;
    margin:calc(100vh - 40rem) auto;
}

@keyframes spin{
    to{ transform: rotate(360deg); }
}

#cartPanel {
    position: fixed;
    top: 2.5rem;
    right: 0;
    padding: 0.5rem;
}

#cartPanel input {
    font-size: 1.5rem;
}

.hidden {
    display: none;
}

.notificationWindow {
    transform: scale(0);
    filter: blur(2rem);
    opacity: 0;
}

.notificationWindow.show {
    animation: zoomBlurIn 400ms ease-out forwards;
}

.notificationWindow.hide {
    animation: zoomBlurOut 300ms ease-in forwards;
}

@keyframes zoomBlurIn {
    0% {
        transform: scale(0);
        filter: blur(20px);
        opacity: 0;
    }

    80% {
        transform: scale(1.05);
        filter: blur(2px);
        opacity: 1;
    }

    100% {
        transform: scale(1);
        filter: blur(0);
        opacity: 1;
    }
}

@keyframes zoomBlurOut {
    from {
        transform: scale(1);
        filter: blur(0);
        opacity: 1;
    }
    to {
        transform: scale(0);
        filter: blur(2rem);
        opacity: 0;
    }
}
